Subject: Re: [bitcoin-dev] BIP Proposal: Receiving and Change Derivation Paths in a Single Descriptor

From: Pavol Rusnak <[email-masked]>
Date: Wed, 27 Jul 2022 10:44:36 +0200

On Wed, 27 Jul 2022 at 00:28, Andrew Chow <[email-masked]>
wrote:

> However I don't see why this couldn't generalize to any sized tuples. As
> long as the tuples are all the same length, and the limit is one tuple per
> key expression, then we don't get any combinatorial blowup issues.
>

I think it's worthwhile to generalize for any sized tuples. I don't have
any existing particular use case in mind, because BIP-44, BIP-84, etc. are
fine with just using <0;1>, but there might be some upcoming standards in
the future that will want to introduce more sub-paths.

-- 
Best Regards / S pozdravom,

Pavol "stick" Rusnak
Co-Founder, SatoshiLabs